function [f x c] = taylorComp(g,h,xh,xg,xh0,n) 
  x = xh;
  xg0 = subs(h,xh,xh0);
  f = subs(g,xg,xg0);

  aold = zeros(nIn^(n-2),nIn);
  a = ones(nIn^(n-1),nIn); 
  % a will be all n-tuples of positive integers such that sum(a(i,:)-1)=d

  for d=1:n
    aold(1:nIn^(d-1),:) = a(1:nIn^(d-1),:);
    j=1;
    for o=1:nIn^(d-1)
        for i=1:nIn
            a(j,:) = aold(o,:);
            a(j,i) = aold(o,i)+1;
            j = j+1;
        end
    end
    assert(j==nIn^d+1);
    for j=1:nIn^d
      ind = sprintf(',%d',a(j,:));
      ind = ind(2:length(ind));
      dF = sym(1);
      for i=1:length(ind)
          dF = dF*diff(
      f = f+dF*prod(x.^(a(j,:)-1)./(factorial(a(j,:)-1)));
      c = [c; dF];
    end
  end
end % function taylorComp()

    